﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

ul.dropdown-menu.border-0.shadow.show {
    width: 20rem;
    padding: 2rem;
}

ul.dropdown-menu.border-0.shadow.guest-dropdown {
    width: 22rem;
    padding: 2rem;
}

.input-validation-error {
    border: 3px solid !important;
    border-color: #f26d6d !important;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.075), 0 0 8px rgba(255, 0, 0, .6) !important;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.075), 0 0 8px rgba(255, 0, 0, .6) !important;
}

.errorMsg {
    border: 3px solid !important;
    border-color: #f26d6d !important;
}

a {
    text-decoration: none;
}

.disable {
    color: #928989 !important;
    cursor: default !important;
}

ul, li, ol {
    list-style: none;
    padding: 0;
    margin: 0;
}

p {
    color: #818181;
}

body {
    font-family: 'Poppins', sans-serif;
    background: #ffffff;
}

.fw-medium {
    font-weight: 500;
}

#header {
    background: #ffffff;
}

    #header .navbar-light .navbar-nav .nav-link {
        color: #000000;
        font-weight: 500;
    }

.slider-section {
    background: #1C1F69;
    padding: 50px 0 0;
}

.btn-theme,
.btn-theme:hover,
.btn-theme:focus,
.btn-theme:active {
    background: #FF001F;
    color: #ffffff;
    font-weight: 600;
    white-space: nowrap;
}

.search-container input,
.search-container span {
    font-size: 14px;
    padding-left: 25px;
}

.product-details .cover-img {
    height: 350px;
    object-fit: cover
}

.search-container .position-relative img {
    position: absolute;
    top: 25px;
    left: 5px;
}

.search-container .basic-300 {
    flex-basis: 300px;
}

.search-container .basic-400 {
    flex-basis: 400px;
}

.search-container .basic-200 {
    flex-basis: 222px;
}

.search-container .basic-180 {
    flex-basis: 180px;
}

.search-container .basic-150 {
    flex-basis: 150px;
}

.search-container .basic-160 {
    flex-basis: 160px;
}

.search-container .basic-140 {
    flex-basis: 140px;
}

.search-container .basic-110 {
    flex-basis: 110px;
}


.search-container .basic-120 {
    flex-basis: 120px;
}

.search-container .basic-80 {
    flex-basis: 80px;
    background: #ff001f;
    font-weight: 600;
    border-radius: 0px 10px 10px 0px;
}

.search-container .basic-100 {
    flex-basis: 100px;
    background: #ff001f;
    font-weight: 600;
    border-radius: 0px 10px 10px 0px;
}

.rounded-10 {
    border-radius: 10px;
}

.btn-login:hover {
    border: 2px solid #dc3545;
    border-radius: 5px;
}

}

.search-container button {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.rounded-s-10 {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.destination-section {
    padding: 100px 0;
}

    .destination-section h2 {
        position: relative;
        padding-bottom: 10px;
    }

        .destination-section h2:after {
            background: #FF001F;
            height: 3px;
            width: 100px;
            content: '';
            position: absolute;
            left: 0;
            bottom: 0;
        }

    .destination-section .img-overly {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        background: rgba(0,0,0,.5);
        width: 100%;
        border-radius: 10px;
    }

        .destination-section .img-overly a {
            font-size: 28px;
        }

.feature-section {
    background: #FBF9F7;
    padding: 50px 0 0;
}

    .feature-section hr,
    .apartment-section hr {
        background: #FF001F;
        height: 3px;
        opacity: 1;
        width: 150px;
    }

.apartment-section {
    padding: 100px 0;
}

    .apartment-section .img-overly {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba(0,0,0,.5);
        padding: 10px;
    }

.fs-18 {
    font-size: 18px;
}

.amenities-border-bottom {
    border-bottom: 1px solid #840000 !important;
}

#filterModal .modal-body {
    height: 400px;
    overflow-y: scroll;
}

#amentiesModal .modal-body {
    height: 400px;
    overflow-y: scroll;
}

#footer {
    background: #F7F7F7;
    padding: 50px 0;
}

    #footer .footer-link li > a {
        color: #818181;
        display: block;
        line-height: 36px;
    }

.pointer {
    cursor: pointer;
}

.fs-14 {
    font-size: 14px;
}

.number .minus,
.number .plus {
    height: 35px;
    width: 35px;
    font-size: 25px;
    text-align: center;
    color: #000000;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.w-35p {
    width: 35px;
}

.form-check-input:checked {
    background-color: #840000;
    border-color: #840000;
}

.text-underline {
    text-decoration: underline;
}

.btn-black {
    background: #000000;
    color: #ffffff;
}


/*Range Slider*/
#filterModal .ui-widget.ui-widget-content {
    background: #CCCCCC;
    border: none;
    border-radius: 30px;
}

#filterModal .ui-state-default,
#filterModal .ui-widget-content .ui-state-default {
    background: #ffffff;
    border-radius: 50%;
    border: none;
    width: 21px;
    height: 21px;
    box-shadow: rgba(0, 0, 0, 0.4) 0 0 6px 0;
}

    #filterModal .ui-state-default:focus,
    #filterModal .ui-state-focus.ui-state-active.ui-state-hover {
        border: none;
        outline: none;
    }

#filterModal .ui-slider .ui-slider-range {
    background: #1c1f69;
    border-radius: 30px;
}

#filterModal .value {
    display: block;
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-40%);
    color: #1c1f69;
    font-size: 16px;
    font-weight: 600;
}

.slider-section .dropdown-menu {
    min-width: 20rem;
    padding: 1rem;
}

.text-gray {
    color: #818181;
}

.f-13 {
    font-size: 13px !important;
}

input.numberCountInput {
    width: 18px;
    font-size: 16px;
}

.numberCountInput::placeholder {
    font-weight: bold;
}

.list-breadcrumb {
    background: #f7f7f7;
    padding: 20px 0;
}

.product-list {
    padding: 25px 0;
}

    .product-list .card-img {
        height: 270px;
    }

        .product-list .card-img img {
            object-fit: cover;
            border-top-left-radius: 10px;
            border-bottom-left-radius: 10px;
        }

.cursor-pointer {
    cursor: pointer;
}

.rounded-5 {
    border-radius: 5px;
}

.btn-theme2,
.btn-theme2:focus,
.btn-theme2:hover,
.btn-theme2:active {
    background: #1C1F69;
    color: #ffffff;
    white-space: nowrap
}

.text-link {
    color: #2474DE;
}

.searchToggle {
    display: none;
    position: absolute;
    right: 15px;
}

@media(min-width: 576px) {
    .w-sm-50 {
        width: 50% !important;
    }
}

@media(max-width: 390px) {
    .product-list .card .buttons {
        flex-direction: column;
        justify-content: center;
        align-items: center !important;
    }

        .product-list .card .buttons .ms-4 {
            margin-left: 0 !important;
            margin-top: 10px;
            width: 100%;
        }

        .product-list .card .buttons button {
            width: 100%;
        }
}

.rounded-y-right-0 {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.rounded-y-left-0 {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.rounded-top-left-0 {
    border-top-left-radius: 0;
}

.rounded-top-right-0 {
    border-top-right-radius: 0;
}

.rounded-bottom-left-0 {
    border-bottom-left-radius: 0;
}

.rounded-bottom-right-0 {
    border-bottom-right-radius: 0;
}

@media(max-width:1199px) {
    .product-searching .search-container .basic-200 {
        flex-basis: 335px;
    }

    .product-searching .search-container .position-relative img {
        left: 10px;
    }

    .product-searching .search-container input, .product-searching .search-container span {
        padding-left: 35px;
    }

    .product-searching .search-container .basic-110 {
        flex-basis: 130px;
    }
}

@media(max-width:767px) {
    /*    #searchPanel {
        display: none;
    }*/
    .searchToggle {
        display: block;
    }

    .search-container .basic-200 {
        flex-basis: 100%;
    }

    .search-container .basic-300 {
        flex-basis: 100%;
    }

    .search-container .basic-200 input {
        border: 1px solid #dee2e6 !important;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }

    .search-container .basic-300 input {
        border: 1px solid #dee2e6 !important;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }

    .search-container .card-body.d-flex {
        flex-wrap: wrap;
    }

    .search-container .basic-110 {
        flex-basis: 50%;
        border-bottom: 1px solid #dee2e6;
    }

    .search-container .basic-80 {
        flex-basis: 100%;
    }

    .search-container button {
        padding: 15px 0;
        border-top-right-radius: 0;
        border-bottom-right-radius: 10px;
        border-top-left-radius: 0;
        border-bottom-left-radius: 10px;
    }

    .search-container input#check-out,
    .search-container div[data-bs-toggle="modal"] span {
        border-right: 1px solid #dee2e6 !important;
        width: 100%;
    }
}

.view-gallery {
    position: absolute;
    background: rgba(0,0,0,.5);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.amenities-section {
    margin-top: 20px;
}

    .amenities-section span {
        color: rgba(0,0,0,.60);
    }

.bg-theme {
    background: #FF9300;
}

.w-70 {
    width: 70%;
}

.w-30 {
    width: 30%;
}

.h-50p {
    height: 50px;
}

.w-full {
    max-width: 100%;
}

.w-48 {
    width: 48%;
}

.resize-none {
    resize: none;
}

.whatsapp-icon,
.facebook-icon,
.twitter-icon,
.gmail-icon {
    background: #25D366;
    display: inline-block;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.facebook-icon {
    background: #3b5998;
}

.twitter-icon {
    background: #1DA1F2;
}

.gmail-icon {
    background: #4285F4;
}

.user-dropdown {
}

#apartment .position-relative > img {
    height: 350px;
    object-fit: cover;
}

@media(min-width:992px) {
    .product-searching {
        position: sticky;
        top: 75px;
        z-index: 10;
    }

    .product-list .sidebar {
        position: sticky;
        top: 186px;
        height: calc(100vh - 20px);
    }
}

.house-rules__list i {
    color: #1C1F69;
    margin-right: 5px;
}

.rule-policy-text p,
.step-section p {
    color: #202020;
}

.step-section input[type="radio"] {
    width: 20px;
    height: 20px;
    vertical-align: bottom;
}

.digit-group input {
    width: 55px;
    height: 55px;
    background-color: lighten($BaseBG, 5%);
    border: none;
    line-height: 50px;
    text-align: center;
    font-size: 24px;
    font-family: 'Raleway', sans-serif;
    font-weight: 800;
    color: black;
    margin: 0 2px;
    border-radius: 18px;
    border: 3px solid #FF001F;
}

.popup {
    position: relative;
    display: inline-block;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* The actual popup */
    .popup .popuptext {
        visibility: hidden;
        width: 250px;
        background-color: #4a81e8;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 10px;
        position: absolute;
        z-index: 1;
        left: 50%;
        margin-left: -80px;
    }

        /* Popup arrow */
        .popup .popuptext::after {
            content: "";
            position: absolute;
            top: 100%;
            left: 50%;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: #555 transparent transparent transparent;
        }

    /* Toggle this class - hide and show the popup */
    .popup .show {
        visibility: visible;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s;
    }

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.new-notification-window {
    top: 5px;
    position: fixed;
    right: 30px;
    width: 300px;
}

.notification-counter {
    position: absolute;
    right: -1px;
    top: 5px;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    background: #27A9E3;
    /* background: var(--primary-color); */
    height: 25px;
    width: 25px;
    border-radius: 50%;
    text-align: center;
    line-height: 25px;
    padding-left: 1px;
}
.customer-notification-counter {
    position: absolute;
    /*right: -1px;*/
    top: 15px;
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    font-weight: 600;
    color: #fff;
    background: #27A9E3;
    /* background: var(--primary-color); */
    height: 25px;
    width: 25px;
    border-radius: 50%;
    text-align: center;
    line-height: 25px;
    padding-left: 1px;
}
.Unavailable {
    color: red !important;
    text-decoration: line-through !important;
}

.numInputWrapper span {
    display: none !important;
}

.flatpickr-current-month span.cur-month {
    font-weight: 600 !important;
}

.flatpickr-months .flatpickr-month {
    height: 50px !important;
}

.flatpickr-current-month input.cur-year {
    font-weight: 600 !important;
    color: black !important;
}

.flatpickr-day {
    font-weight: 600 !important
}

.rangeMode .flatpickr-day {
    margin-top: 2px !important;
    margin-bottom: 2px !important;
}
.otp-head {
    text-align: center;
    color: maroon;
    font-weight: 800;
    margin-bottom: 20px;
}
